Bug 813904 - SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'create' accesses on the directory .orc.
SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'cr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:13e2f06d8f825272b19f71af4a7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 13:56 EDT by Jaroslav Škarvada
Modified: 2012-06-11 11:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 11:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-04-18 13:56:16 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-1.fc17.x86_64
reason:         SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'create' accesses on the directory .orc.
time:           Wed 18 Apr 2012 03:56:02 PM EDT

description:
:SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'create' accesses on the directory .orc.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that gst-plugin-scanner should be allowed create access on the .orc directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                .orc [ dir ]
:Source                        gst-plugin-scan
:Source Path                   /usr/libexec/gstreamer-0.10/gst-plugin-scanner
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           gstreamer-0.10.36-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-110.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-1.fc17.x86_64 #1
:                              SMP Mon Mar 19 03:03:39 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Wed 18 Apr 2012 03:35:46 PM EDT
:Last Seen                     Wed 18 Apr 2012 03:35:46 PM EDT
:Local ID                      535ef3bc-e589-44ab-959c-c0fe89d0c216
:
:Raw Audit Messages
:type=AVC msg=audit(1334777746.231:310): avc:  denied  { create } for  pid=2384 comm="gst-plugin-scan" name=".orc" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1334777746.231:310): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=1b3a850 a1=1c0 a2=ffffffffffffff80 a3=e items=0 ppid=2373 pid=2384 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=gst-plugin-scan exe=/usr/libexec/gstreamer-0.10/gst-plugin-scanner subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gst-plugin-scan,mozilla_plugin_t,user_home_dir_t,dir,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-11 11:32:50 EDT
r

Note You need to log in before you can comment on or make changes to this bug.